# FinancialAccountAttributes

Attributes for creating and updating a financial account

```json
{
  "code": "",
  "accountId": "456123",
  "name": "",
  "description": "",
  "active": true,
  "source": "",
  "externalId": "",
  "pluginId": "456123",
  "entityId": "456123",
  "accountType": "FinancialAccountType",
  "accountNumber": "",
  "createdAt": "2022-06-01T00:00:00Z",
  "updatedAt": "2022-06-01T00:00:00Z",
  "priceListChargeIds": [
    "456123"
  ],
  "defaultAccount": true
}
```

| Name               | Type                                                                           | Description                                        |
| ------------------ | ------------------------------------------------------------------------------ | -------------------------------------------------- |
| code               | String                                                                         | Custom unique identifier for the financial account |
| accountId          | ID                                                                             | The account the financial account belongs to       |
| name               | String                                                                         | The name of the financial account                  |
| description        | String                                                                         | A description of the financial account             |
| active             | Boolean                                                                        | Whether the financial account is active            |
| source             | String                                                                         | The source of the financial account                |
| externalId         | String                                                                         | The external ID of the financial account           |
| pluginId           | ID                                                                             | The plugin ID of the financial account             |
| entityId           | ID                                                                             | The entity the financial account belongs to        |
| accountType        | [FinancialAccountType](/developer/api-reference/enums.md#financialaccounttype) | The type of the financial account                  |
| accountNumber      | String                                                                         | The account number of the financial account        |
| createdAt          | ISO8601DateTime                                                                | Datetime the financial account was created         |
| updatedAt          | ISO8601DateTime                                                                | Datetime the financial account was last updated    |
| priceListChargeIds | List (ID)                                                                      |                                                    |
| defaultAccount     | Boolean                                                                        | Whether the financial account is the default       |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bunny.com/developer/api-reference/types/financialaccountattributes.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
